Bug 1393820 - [ALL LANG] Optimize - Utilization has untranslated entries
Summary: [ALL LANG] Optimize - Utilization has untranslated entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Internationalization
Version: 5.7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Milan Zázrivec
QA Contact: Krishna Babu K
URL:
Whiteboard: i18n:optimize
: 1394701 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-10 12:06 UTC by Krishna Babu K
Modified: 2017-05-31 14:40 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:40:08 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
utilization-summary transaltions missing (129.42 KB, image/png)
2016-11-10 12:06 UTC, Krishna Babu K
no flags Details
utilizaiton-details translations missing (154.31 KB, image/png)
2016-11-10 12:07 UTC, Krishna Babu K
no flags Details
utilization-summary transaltions missing (108.00 KB, image/png)
2017-02-28 12:20 UTC, Krishna Babu K
no flags Details
utilizaiton-details translations missing (135.35 KB, image/png)
2017-02-28 12:20 UTC, Krishna Babu K
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Krishna Babu K 2016-11-10 12:06:21 UTC
Created attachment 1219349 [details]
utilization-summary transaltions missing

Description of problem:
 Optimize-Utilization-Summary and Details has untranslated entries

Version-Release number of selected component (if applicable):
5.7.0.10-beta3.20161109111947_9a61b18 

How reproducible:
Always

Steps to Reproduce:
1. Log into cfme not en-us locale
2. Navigate to Optimize-Utilization-Summary. "Select Day Percent Utilization", "Total" and "Available" are not translated.
3. Navigate to Optimize-Utilization-Details. Trend summary graph's entries are not translated.

Actual results:
  Translations not available

Expected results:
  Translations should present.

Additional info:
 Reference screen shots 'utilization-summary' 'utilization-details' attached.

Comment 2 Krishna Babu K 2016-11-10 12:07:01 UTC
Created attachment 1219350 [details]
utilizaiton-details translations missing

Comment 3 Bhushan Barve 2016-11-14 09:44:08 UTC
*** Bug 1394701 has been marked as a duplicate of this bug. ***

Comment 4 Milan Zázrivec 2016-12-05 16:09:27 UTC
https://github.com/ManageIQ/manageiq/pull/12987

Comment 5 CFME Bot 2016-12-08 20:56:15 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/bcc8179c9aed9e7a3e507c3b8975344f9177a846

commit bcc8179c9aed9e7a3e507c3b8975344f9177a846
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Dec 5 17:04:07 2016 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Dec 5 17:04:07 2016 +0100

    Add missing gettext into utilization charts
    
    Fixes:
    * extraction of chart headers
    * apply gettext where needed
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1393820

 app/controllers/application_controller/performance.rb | 2 +-
 app/controllers/miq_capacity_controller.rb            | 8 ++++----
 app/views/layouts/_perf_chart_js.html.haml            | 4 ++--
 lib/tasks/locale.rake                                 | 2 ++
 4 files changed, 9 insertions(+), 7 deletions(-)

Comment 6 CFME Bot 2016-12-08 20:56:19 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/74d0aca07ef76a560d5acd5da7489a2d5db95ba6

commit 74d0aca07ef76a560d5acd5da7489a2d5db95ba6
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Dec 5 17:07:25 2016 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Dec 5 17:07:25 2016 +0100

    Updated yaml strings
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1393820

 config/yaml_strings.rb | 5268 ++++++++++++++++++++++++++++++++++++------------
 1 file changed, 3942 insertions(+), 1326 deletions(-)

Comment 7 Krishna Babu K 2017-02-28 12:20:00 UTC
Created attachment 1258343 [details]
utilization-summary transaltions missing

Verified on 5.8.0.2.20170223184827_489bf7c 
Reported translation issues still reproducible, reference screen-shots attached against verified version.

Comment 8 Krishna Babu K 2017-02-28 12:20:59 UTC
Created attachment 1258344 [details]
utilizaiton-details translations missing

Comment 9 Milan Zázrivec 2017-03-29 16:27:50 UTC
This problem is just a matter of missing translations.

Comment 10 Krishna Babu K 2017-05-19 15:01:57 UTC
Verified on 5.8.0.15.20170517161141_119e6fd 
Translations available now.

Comment 12 errata-xmlrpc 2017-05-31 14:40:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.